## golang-github-containers-common 0.14.4+ds1

=== debian/changelog ===
golang-github-containers-common (0.14.4+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 07:18:27 -0400

golang-github-containers-common (0.14.4+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Add build depend on golang-github-containers-imgae-dev
  * Exclude cgroup tests

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Jul 2020 21:37:05 -0400

golang-github-containers-common (0.8.1+ds1-2) experimental; urgency=medium

  * Tighten build-dependencies on containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Jul 2020 21:21:03 -0400

golang-github-containers-common (0.8.1+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #958426)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Apr 2020 17:00:29 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-containers-common-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/containers/common/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-containers-common 0.14.10+ds1

=== Makefile ===
export GO111MODULE=off

GO ?= go
GO_BUILD=$(GO) build
# Go module support: set `-mod=vendor` to use the vendored sources
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
endif
BUILDTAGS :=
DESTDIR ?=
PREFIX := /usr/local
CONFIGDIR := ${PREFIX}/share/containers
PROJECT := github.com/containers/common

# If GOPATH not specified, use one in the local directory
ifeq ($(GOPATH),)
export GOPATH := $(CURDIR)/_output
unexport GOBIN
endif
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
GOPKGDIR := $(FIRST_GOPATH)/src/$(PROJECT)
GOPKGBASEDIR ?= $(shell dirname "$(GOPKGDIR)")

GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(FIRST_GOPATH)/bin
endif

define go-get
	env GO111MODULE=off \
		$(GO) get -u ${1}
endef

define go-build
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
endef

.PHONY:
build-cross:
	$(call go-build,linux,386,${BUILDTAGS})
	$(call go-build,linux,arm,${BUILDTAGS})
	$(call go-build,linux,arm64,${BUILDTAGS})
	$(call go-build,linux,ppc64le,${BUILDTAGS})
	$(call go-build,linux,s390x,${BUILDTAGS})
	$(call go-build,windows,amd64,remote ${BUILDTAGS})
	$(call go-build,windows,386,remote ${BUILDTAGS})

.PHONY: all
all: build-amd64 build-386

.PHONY: build
build: build-amd64 build-386

.PHONY: build-amd64
build-amd64:
	GOARCH=amd64 $(GO_BUILD) ./...

.PHONY: build-386
build-386:
	GOARCH=386 $(GO_BUILD) ./...

.PHONY: docs
docs:
	$(MAKE) -C docs

.PHONY: validate
validate:
	golangci-lint run

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor

.PHONY: vendor
vendor:
	GO111MODULE=on $(GO) mod tidy
	GO111MODULE=on $(GO) mod vendor
	GO111MODULE=on $(GO) mod verify

.PHONY: install.tools
install.tools: .install.golangci-lint .install.md2man

.install.golangci-lint:
	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
		curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(GOBIN)/ v1.18.0; \
	fi


.install.md2man:
	if [ ! -x "$(GOBIN)/go-md2man" ]; then \
		   $(call go-get,github.com/cpuguy83/go-md2man); \
	fi

.PHONY: install
install:
	install -d ${DESTDIR}/${CONFIGDIR}
	install -m 0644 pkg/config/containers.conf ${DESTDIR}/${CONFIGDIR}/containers.conf

	$(MAKE) -C docs install

.PHONY: test
test: test-unit

.PHONY: test-unit
test-unit:
	go test -v $(PROJECT)/pkg/...
	go test --tags remote -v $(PROJECT)/pkg/...

clean: ## Clean artifacts
	$(MAKE) -C docs clean
	find . -name \*~ -delete
	find . -name \#\* -delete

=== debian/changelog ===
golang-github-containers-common (0.14.10+ds1-1) unstable; urgency=medium

  * New upstream version 0.14.10+ds1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Sep 2020 13:25:26 -0400

golang-github-containers-common (0.14.6+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Jul 2020 10:56:06 -0400

=== debian/control ===
Source: golang-github-containers-common
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-containers-image-dev (>> 5.5),
               golang-github-containers-storage-dev (>> 1.18),
               golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-gocapability-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev,
               golang-logrus-dev,
               golang-toml-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-common.git
Homepage: https://github.com/containers/common
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/common

Package: golang-github-containers-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for github.com/containers repositories
 This package contains common configuration files for use by
 other container projects.

Package: golang-github-containers-common-dev
Architecture: all
Depends: golang-github-containers-storage-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-units-dev,
         golang-github-onsi-ginkgo-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-gocapability-dev,
         golang-golang-x-sys-dev,
         golang-gomega-dev,
         golang-logrus-dev,
         golang-toml-dev,
         ${misc:Depends}
Description: Common files for github.com/containers repositories. (library)
 This package contains shared common files and common go code
 to manage those files in github.com/containers repos.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-containers-common-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/containers/common/tags .*/v?(0\.14\.\S*)\.tar\.gz debian

## golang-github-containers-common 0.22.0+ds1

=== Makefile ===
--- 
+++ 
@@ -64,8 +64,8 @@
 	$(MAKE) -C docs
 
 .PHONY: validate
-validate:
-	golangci-lint run
+validate: build/golangci-lint
+	./build/golangci-lint run
 
 vendor-in-container:
 	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor
@@ -77,12 +77,14 @@
 	GO111MODULE=on $(GO) mod verify
 
 .PHONY: install.tools
-install.tools: .install.golangci-lint .install.md2man
+install.tools: build/golangci-lint .install.md2man
 
-.install.golangci-lint:
-	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
-		curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(GOBIN)/ v1.18.0; \
-	fi
+build/golangci-lint:
+	export \
+		VERSION=v1.30.0 \
+		URL=https://raw.githubusercontent.com/golangci/golangci-lint \
+		BINDIR=build && \
+	curl -sfL $$URL/$$VERSION/install.sh | sh -s $$VERSION
 
 
 .install.md2man:
@@ -103,9 +105,13 @@
 .PHONY: test-unit
 test-unit:
 	go test -v $(PROJECT)/pkg/...
-	go test --tags remote -v $(PROJECT)/pkg/...
+	go test --tags remote,seccomp -v $(PROJECT)/pkg/...
 
 clean: ## Clean artifacts
 	$(MAKE) -C docs clean
 	find . -name \*~ -delete
 	find . -name \#\* -delete
+
+.PHONY: seccomp.json
+seccomp.json: $(sources)
+	$(GO) run ./cmd/seccomp/generate.go

=== debian/changelog ===
golang-github-containers-common (0.22.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: update using 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Nov 2020 13:32:58 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
-               golang-github-containers-image-dev (>> 5.5),
-               golang-github-containers-storage-dev (>> 1.18),
+               golang-github-containers-image-dev (>> 5.6~~),
+               golang-github-containers-storage-dev (>> 1.23.5~~),
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
                golang-github-onsi-ginkgo-dev,
@@ -37,7 +37,8 @@
 
 Package: golang-github-containers-common-dev
 Architecture: all
-Depends: golang-github-containers-storage-dev,
+Depends: golang-github-containers-image-dev (>> 5.6~~),
+         golang-github-containers-storage-dev (>> 1.23.5~~),
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,
          golang-github-onsi-ginkgo-dev,
@@ -51,6 +52,6 @@
          golang-logrus-dev,
          golang-toml-dev,
          ${misc:Depends}
-Description: Common files for github.com/containers repositories. (library)
+Description: Common files for github.com/containers repositories (library)
  This package contains shared common files and common go code
  to manage those files in github.com/containers repos.

=== debian/rules ===
#!/usr/bin/make -f

# get './pkg/config/containers.conf' installed
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config" \
	dh_auto_test

## golang-github-containers-common 0.33.1+ds1

=== debian/changelog ===
golang-github-containers-common (0.33.1+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 14:49:53 -0500

golang-github-containers-common (0.33.1+ds1-2) experimental; urgency=medium

  * Force compilation against golang-go
  * Provide etc/containers/policy.json, formerly in the buildah package

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 15:42:22 -0500

golang-github-containers-common (0.33.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/storage, containers/image, runc and
    opencontainers/selinux

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2021 09:13:51 -0500

golang-github-containers-common (0.28.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Backport upstream patch to fixup makefile generation

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Dec 2020 12:05:45 -0500

golang-github-containers-common (0.26.3+ds1-3) unstable; urgency=medium

  * Provide etc/containers/policy.json, formerly in the buildah package

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 10:30:10 -0500

golang-github-containers-common (0.26.3+ds1-2) unstable; urgency=medium

  * Install containers.conf(5)
  * Install shortnames.conf
  * Install registries.conf
  * Declare depends on golang-github-containers-image

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Dec 2020 16:56:21 -0500

golang-github-containers-common (0.26.3+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Nov 2020 17:41:23 -0500

## golang-github-containers-common 0.33.4%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
 
+override_dh_auto_install:
+	dh_auto_install --builddirectory=_build --buildsystem=golang
+	make -C docs docs GOMD2MAN=go-md2man
+	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr
+
 override_dh_auto_test:
 	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config" \
 	dh_auto_test

## golang-github-containers-common 0.33.4+ds1

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(call go-build,linux,arm64,${BUILDTAGS})
 	$(call go-build,linux,ppc64le,${BUILDTAGS})
 	$(call go-build,linux,s390x,${BUILDTAGS})
+	$(call go-build,darwin,amd64,${BUILDTAGS})
 	$(call go-build,windows,amd64,remote ${BUILDTAGS})
 	$(call go-build,windows,386,remote ${BUILDTAGS})
 
@@ -57,7 +58,9 @@
 
 .PHONY: build-386
 build-386:
+ifneq ($(shell uname -s), Darwin)
 	GOARCH=386 $(GO_BUILD) ./...
+endif
 
 .PHONY: docs
 docs:

=== debian/changelog ===
golang-github-containers-common (0.33.4+ds1-1+deb11u2) bullseye; urgency=medium

  * Fix parsing of DBUS_SESSION_BUS_ADDRESS, Closes: #1018816

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Apr 2023 18:19:51 -0400

golang-github-containers-common (0.33.4+ds1-1+deb11u1) bullseye; urgency=medium

  * Backport seccomp patches from upstream to allow execution of newer
    syscalls. Closes: #994451, #1006137

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Sep 2021 18:29:08 -0400

golang-github-containers-common (0.33.4+ds1-1) unstable; urgency=medium

  * New upstream point release, only focused changes for podman 3.0

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 08:56:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-any,
-               golang-github-containers-image-dev (>> 5.6~~),
-               golang-github-containers-storage-dev (>> 1.23.5~~),
+               go-md2man,
+               golang-go (>> 2:1.14),
+               golang-github-containers-image-dev (>> 5.10~~),
+               golang-github-containers-storage-dev (>> 1.24.5~~),
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
                golang-github-onsi-ginkgo-dev,
-               golang-github-opencontainers-runc-dev,
-               golang-github-opencontainers-selinux-dev,
+               golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
+               golang-github-opencontainers-selinux-dev (>> 1.8.0),
+               golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1+deb11u1),
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-gocapability-dev,
@@ -30,20 +32,23 @@
 
 Package: golang-github-containers-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: golang-github-containers-image,
+         ${misc:Depends}
+Breaks: buildah (<< 1.19.2+dfsg1-2~~)
 Description: Common files for github.com/containers repositories
  This package contains common configuration files for use by
  other container projects.
 
 Package: golang-github-containers-common-dev
 Architecture: all
-Depends: golang-github-containers-image-dev (>> 5.6~~),
-         golang-github-containers-storage-dev (>> 1.23.5~~),
+Depends: golang-github-containers-image-dev (>> 5.10~~),
+         golang-github-containers-storage-dev (>> 1.24.5~~),
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,
          golang-github-onsi-ginkgo-dev,
-         golang-github-opencontainers-runc-dev,
-         golang-github-opencontainers-selinux-dev,
+         golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
+         golang-github-opencontainers-selinux-dev (>> 1.8.0),
+         golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1+deb11u1),
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-gocapability-dev,

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/common/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-common 0.36.0+ds1

=== debian/changelog ===
golang-github-containers-common (0.36.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Install /usr/share/containers/seccomp.json,
    thanks to Laurent Bigonville (Closes: #988443).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 13:21:37 -0400

golang-github-containers-common (0.35.4+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Apr 2021 17:53:25 -0400

golang-github-containers-common (0.34.2+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on golang-github-containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Feb 2021 10:32:03 -0500

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                go-md2man,
                golang-go (>> 2:1.14),
                golang-github-containers-image-dev (>> 5.10~~),
-               golang-github-containers-storage-dev (>> 1.24.5~~),
+               golang-github-containers-storage-dev (>> 1.28~~),
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
                golang-github-onsi-ginkgo-dev,
                golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
                golang-github-opencontainers-selinux-dev (>> 1.8.0),
-               golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1+deb11u1),
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-gocapability-dev,
@@ -42,13 +41,12 @@
 Package: golang-github-containers-common-dev
 Architecture: all
 Depends: golang-github-containers-image-dev (>> 5.10~~),
-         golang-github-containers-storage-dev (>> 1.24.5~~),
+         golang-github-containers-storage-dev (>> 1.28~~),
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,
          golang-github-onsi-ginkgo-dev,
          golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
          golang-github-opencontainers-selinux-dev (>> 1.8.0),
-         golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1+deb11u1),
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-gocapability-dev,

## golang-github-containers-common 0.38.9+ds1

=== debian/changelog ===
golang-github-containers-common (0.38.9+ds1-1) experimental; urgency=medium

  * New upstream release
  * Disable LTO

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Jun 2021 19:33:26 -0400

golang-github-containers-common (0.38.5+ds2-1) experimental; urgency=medium

  * New upstream release, temporarily vendored libraries:
    - github.com/jinzhu/copier
    - github.com/disiqueira/gotree

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Jun 2021 21:59:53 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # get './pkg/config/containers.conf' installed
 export DH_GOLANG_INSTALL_ALL := 1
+
+# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
+export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -12,5 +15,5 @@
 	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config" \
+	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config libimage" \
 	dh_auto_test

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 opts="\
 pgpmode=none,\
-repack,compression=xz,repacksuffix=+dfsg1,\
+repack,compression=xz,repacksuffix=+ds1,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 " https://github.com/containers/common/releases \
   .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-common 0.38.16+ds1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
 	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
 endif
-BUILDTAGS :=
+BUILDTAGS := containers_image_openpgp,systemd
 DESTDIR ?=
 PREFIX := /usr/local
 CONFIGDIR := ${PREFIX}/share/containers
@@ -54,12 +54,12 @@
 
 .PHONY: build-amd64
 build-amd64:
-	GOARCH=amd64 $(GO_BUILD) ./...
+	GOARCH=amd64 $(GO_BUILD) -tags $(BUILDTAGS) ./...
 
 .PHONY: build-386
 build-386:
 ifneq ($(shell uname -s), Darwin)
-	GOARCH=386 $(GO_BUILD) ./...
+	GOARCH=386 $(GO_BUILD) -tags $(BUILDTAGS) ./...
 endif
 
 .PHONY: docs
@@ -69,6 +69,7 @@
 .PHONY: validate
 validate: build/golangci-lint
 	./build/golangci-lint run
+	./tools/validate_seccomp.sh ./pkg/seccomp
 
 vendor-in-container:
 	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor
@@ -107,8 +108,13 @@
 
 .PHONY: test-unit
 test-unit:
-	go test -v $(PROJECT)/pkg/...
-	go test --tags remote,seccomp -v $(PROJECT)/pkg/...
+	go test --tags $(BUILDTAGS) -v ./libimage
+	go test --tags $(BUILDTAGS) -v $(PROJECT)/pkg/...
+	go test --tags remote,seccomp,$(BUILDTAGS) -v $(PROJECT)/pkg/...
+
+.PHONY: codespell
+codespell:
+	codespell -S bin,vendor,.git,go.sum,changelog.txt,.cirrus.yml,"RELEASE_NOTES.md,*.xz,*.gz,*.tar,*.tgz,bin2img,*ico,*.png,*.1,*.5,copyimg,*.orig,apidoc.go" -L uint,iff,od,seeked,splitted,marge,ERROR,hist,ether -w
 
 clean: ## Clean artifacts
 	$(MAKE) -C docs clean

=== debian/changelog ===
golang-github-containers-common (0.38.16+ds1-1ubuntu1) impish; urgency=medium

  * Update seccomp profile for glibc_2.34 changes, LP: #1943049

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Sep 2021 10:40:25 -0400

golang-github-containers-common (0.38.16+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Jul 2021 08:22:16 -0400

golang-github-containers-common (0.38.12+ds1-2) experimental; urgency=medium

  * golang-github-containers-common-dev: depend on disiqueria/gotree

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Jun 2021 22:09:10 -0400

golang-github-containers-common (0.38.12+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Jun 2021 08:22:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                go-md2man,
-               golang-go (>> 2:1.14),
                golang-github-containers-image-dev (>> 5.10~~),
                golang-github-containers-storage-dev (>> 1.28~~),
+               golang-github-disiqueira-gotree-dev,
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
                golang-github-onsi-ginkgo-dev,
                golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
                golang-github-opencontainers-selinux-dev (>> 1.8.0),
+               golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1ubuntu1),
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
+               golang-go (>> 2:1.14),
                golang-gocapability-dev,
                golang-golang-x-sys-dev,
                golang-gomega-dev,
@@ -42,6 +44,7 @@
 Architecture: all
 Depends: golang-github-containers-image-dev (>> 5.10~~),
          golang-github-containers-storage-dev (>> 1.28~~),
+         golang-github-disiqueira-gotree-dev,
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,
          golang-github-onsi-ginkgo-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,13 @@
 # disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
 
+BUILDTAGS := containers_image_openpgp,systemd
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+override_dh_auto_build:
+	dh_auto_build -v  --builddirectory=_build -- -tags "$(BUILDTAGS)"
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=_build --buildsystem=golang

## golang-github-containers-common 0.44.3+ds1

=== debian/changelog ===
golang-github-containers-common (0.44.3+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Oct 2021 19:53:44 -0400

golang-github-containers-common (0.44.3+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 08 Oct 2021 16:55:47 -0400

golang-github-containers-common (0.44.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Drop manpage.patch, merged upstream
  * Tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Oct 2021 18:04:20 -0400

golang-github-containers-common (0.42.1+ds1-2) unstable; urgency=medium

  * debian/control:
    - Tighten dependency on containers/image
    - Bump standards version
  * debian/watch: fix github url pattern
  * Fix section in the generated manpage

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Sep 2021 09:56:21 +0200

golang-github-containers-common (0.42.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Use distro copy of golang-github-jinzhu-copier-dev
  * Add gpg for tests
  * disable the passdriver tests
  * Bump dependency on runc

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 08:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                go-md2man,
-               golang-github-containers-image-dev (>> 5.10~~),
-               golang-github-containers-storage-dev (>> 1.28~~),
+               golang-github-containers-image-dev (>> 5.16~~),
+               golang-github-containers-storage-dev (>> 1.36~~),
                golang-github-disiqueira-gotree-dev,
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
+               golang-github-jinzhu-copier-dev,
                golang-github-onsi-ginkgo-dev,
-               golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
+               golang-github-opencontainers-runc-dev (>> 1.0.1~~),
                golang-github-opencontainers-selinux-dev (>> 1.8.0),
-               golang-github-opencontainers-specs-dev (>= 1.0.2.41.g7413a7f-1ubuntu1),
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-go (>> 2:1.14),
@@ -23,8 +23,9 @@
                golang-golang-x-sys-dev,
                golang-gomega-dev,
                golang-logrus-dev,
-               golang-toml-dev
-Standards-Version: 4.5.0
+               golang-toml-dev,
+               gpg,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-common.git
 Homepage: https://github.com/containers/common
@@ -42,13 +43,14 @@
 
 Package: golang-github-containers-common-dev
 Architecture: all
-Depends: golang-github-containers-image-dev (>> 5.10~~),
-         golang-github-containers-storage-dev (>> 1.28~~),
+Depends: golang-github-containers-image-dev (>> 5.16~~),
+         golang-github-containers-storage-dev (>> 1.36~~),
          golang-github-disiqueira-gotree-dev,
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,
+         golang-github-jinzhu-copier-dev,
          golang-github-onsi-ginkgo-dev,
-         golang-github-opencontainers-runc-dev (>> 1.0.0~rc92),
+         golang-github-opencontainers-runc-dev (>> 1.0.1~~),
          golang-github-opencontainers-selinux-dev (>> 1.8.0),
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,

## golang-github-containers-common 0.44.4%2Bds1

=== debian/changelog ===
golang-github-containers-common (0.44.4+ds1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Sync debian/shortnames.conf with upstream

  [ Reinhard Tartler ]
  * Explicitly build-depend on golang-github-coreos-go-systemd-dev

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Dec 2021 22:21:19 -0500

## golang-github-containers-common 0.44.4+ds1

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,15 @@
 ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
 	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
 endif
-BUILDTAGS := containers_image_openpgp,systemd
+BUILDTAGS := containers_image_openpgp,systemd,exclude_graphdriver_devicemapper
 DESTDIR ?=
 PREFIX := /usr/local
 CONFIGDIR := ${PREFIX}/share/containers
 PROJECT := github.com/containers/common
+
+# Enforce the GOPROXY to make sure dependencies are resovled consistently
+# across different environments.
+export GOPROXY := https://proxy.golang.org
 
 # If GOPATH not specified, use one in the local directory
 ifeq ($(GOPATH),)
@@ -35,8 +39,17 @@
 	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
 endef
 
+define go-build-c
+	CGO_ENABLED=1 \
+	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
+endef
+
 .PHONY:
 build-cross:
+	$(call go-build-c,linux) # attempt to build without tags
+	$(call go-build-c,linux,,${BUILDTAGS})
+	$(call go-build-c,linux,386,${BUILDTAGS})
+	$(call go-build,linux) # attempt to build without tags
 	$(call go-build,linux,386,${BUILDTAGS})
 	$(call go-build,linux,arm,${BUILDTAGS})
 	$(call go-build,linux,arm64,${BUILDTAGS})

=== docs/Makefile ===
PREFIX := /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')

docs: $(patsubst %.md,%,$(wildcard *.md))

%.5:  %.5.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man5
	install -m 0644 *.5 ${DESTDIR}/${MANDIR}/man5

.PHONY: clean
clean:
	$(RM) *.5

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                go-md2man,
                golang-github-containers-image-dev (>> 5.16~~),
                golang-github-containers-storage-dev (>> 1.36~~),
+               golang-github-coreos-go-systemd-dev,
                golang-github-disiqueira-gotree-dev,
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
@@ -45,6 +46,7 @@
 Architecture: all
 Depends: golang-github-containers-image-dev (>> 5.16~~),
          golang-github-containers-storage-dev (>> 1.36~~),
+         golang-github-coreos-go-systemd-dev,
          golang-github-disiqueira-gotree-dev,
          golang-github-docker-docker-dev,
          golang-github-docker-go-units-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config libimage" \
+	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config libimage pkg/secrets/passdriver" \
 	dh_auto_test

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+ds1,\
dversionmangle=s{[+~]ds\d*}{},\
" https://github.com/containers/common/releases \
  .*/archive/refs/tags/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-common 0.44.5%2Bds1

=== debian/changelog ===
golang-github-containers-common (0.44.5+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Apr 2022 21:16:46 -0400

## golang-github-containers-common 0.50.1+ds1

=== Makefile ===
GO ?= go
GO_BUILD=$(GO) build
BUILDTAGS := containers_image_openpgp,systemd,exclude_graphdriver_devicemapper
DESTDIR ?=
PREFIX := /usr/local
CONFIGDIR := ${PREFIX}/share/containers

define go-build
	CGO_ENABLED=0 \
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
endef

ifeq ($(shell uname -s),Linux)
define go-build-c
	CGO_ENABLED=1 \
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
endef
else
define go-build-c
endef
endif

.PHONY:
build-cross:
	$(call go-build-c,linux) # attempt to build without tags
	$(call go-build-c,linux,,${BUILDTAGS})
	$(call go-build,linux,386,${BUILDTAGS})
	$(call go-build-c,linux) # attempt to build without tags
	$(call go-build,linux,386,${BUILDTAGS})
	$(call go-build,linux,arm,${BUILDTAGS})
	$(call go-build,linux,arm64,${BUILDTAGS})
	$(call go-build,linux,ppc64le,${BUILDTAGS})
	$(call go-build,linux,s390x,${BUILDTAGS})
	$(call go-build,darwin,amd64,${BUILDTAGS})
	$(call go-build,windows,amd64,${BUILDTAGS})
	$(call go-build,windows,386,${BUILDTAGS})

.PHONY: all
all: build-amd64 build-386

.PHONY: build
build: build-amd64 build-386

.PHONY: build-amd64
build-amd64:
	GOARCH=amd64 $(GO_BUILD) -tags $(BUILDTAGS) ./...

.PHONY: build-386
build-386:
ifneq ($(shell uname -s), Darwin)
	GOARCH=386 $(GO_BUILD) -tags $(BUILDTAGS) ./...
endif

.PHONY: docs
docs:
	$(MAKE) -C docs

.PHONY: validate
validate: build/golangci-lint
	./build/golangci-lint run
	./tools/validate_seccomp.sh ./pkg/seccomp

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor

.PHONY: vendor
vendor:
	$(GO) mod tidy -compat=1.17
	$(GO) mod vendor
	$(GO) mod verify

.PHONY: install.tools
install.tools: build/golangci-lint .install.md2man

build/golangci-lint: VERSION=v1.45.2
build/golangci-lint:
	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)

.install.md2man:
	$(GO) install github.com/cpuguy83/go-md2man/v2@latest

.PHONY: install
install:
	install -d ${DESTDIR}/${CONFIGDIR}
	install -m 0644 pkg/config/containers.conf ${DESTDIR}/${CONFIGDIR}/containers.conf

	$(MAKE) -C docs install

.PHONY: test
test: test-unit

.PHONY: test-unit
test-unit:
	go test --tags $(BUILDTAGS) -v ./libimage
	go test --tags $(BUILDTAGS) -v ./libnetwork/...
	go test --tags $(BUILDTAGS) -v ./pkg/...
	go test --tags remote,seccomp,$(BUILDTAGS) -v ./pkg/...

.PHONY: codespell
codespell:
	codespell -w

clean: ## Clean artifacts
	$(MAKE) -C docs clean
	find . -name \*~ -delete
	find . -name \#\* -delete

.PHONY: seccomp.json
seccomp.json: $(sources)
	$(GO) run ./cmd/seccomp/generate.go

=== debian/changelog ===
golang-github-containers-common (0.50.1+ds1-4) unstable; urgency=medium

  * Tighten dependency on containers/image-spec and avoid distro patches

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Feb 2023 09:55:56 -0500

golang-github-containers-common (0.50.1+ds1-3) unstable; urgency=medium

  * Team upload

  [ Reinhard Tartler ]
  * Tighten build depends

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository, Security-Contact.

  [ Shengjing Zhu ]
  * Update section to golang
  * Replace transitional package in Build-Depends and Depends
    + golang-logrus-dev -> golang-github-sirupsen-logrus-dev
    + golang-toml-dev -> golang-github-burntsushi-toml-dev
    And format with wrap-and-sort
  * Update dependencies according to go.mod
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Jan 2023 18:34:42 +0800

golang-github-containers-common (0.50.1+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 09:17:47 -0500

golang-github-containers-common (0.50.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Nov 2022 20:23:54 -0500

golang-github-containers-common (0.49.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/{storage,image}
  * disable tests for pkg/cgroups

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 10:02:15 +0200

golang-github-containers-common (0.48.0+ds1-2) experimental; urgency=medium

  * Recommend container-network-stack, prefer netavark

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 14:54:07 +0200

golang-github-containers-common (0.48.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * refresh patches
  * tighten dependencies
  * Revert "libimage: import should not ignore configured variant if any"
  * exclude tests that require ginkgo/v2

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2022 17:44:07 -0400

golang-github-containers-common (0.47.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Feb 2022 20:36:15 -0500

golang-github-containers-common (0.46.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jan 2022 20:10:43 -0500

=== debian/control ===
Source: golang-github-containers-common
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-github-appc-cni-dev (>> 1.0~~),
               golang-github-burntsushi-toml-dev,
               golang-github-containerd-containerd-dev,
               golang-github-containernetworking-plugins-dev,
               golang-github-containers-image-dev (>> 5.23~~),
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-storage-dev (>> 1.43~~),
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-disiqueira-gotree-dev,
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-godbus-dbus-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-jinzhu-copier-dev,
               golang-github-json-iterator-go-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
               golang-github-opencontainers-runc-dev (>> 1.0.1~~),
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev (>> 1.8.0),
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-sftp-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vishvananda-netlink-dev,
               golang-go (>> 2:1.14),
               golang-gocapability-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-term-dev,
               golang-gomega-dev,
               gpg
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-common.git
Homepage: https://github.com/containers/common
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/common

Package: golang-github-containers-common
Architecture: all
Depends: container-network-stack,
         golang-github-containers-image,
         ${misc:Depends}
Recommends: netavark
Breaks: buildah (<< 1.19.2+dfsg1-2~~)
Description: Common files for github.com/containers repositories
 This package contains common configuration files for use by
 other container projects.

Package: golang-github-containers-common-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-appc-cni-dev (>> 1.0~~),
         golang-github-burntsushi-toml-dev,
         golang-github-containerd-containerd-dev,
         golang-github-containernetworking-plugins-dev,
         golang-github-containers-image-dev (>> 5.23~~),
         golang-github-containers-ocicrypt-dev,
         golang-github-containers-storage-dev (>> 1.43~~),
         golang-github-coreos-bbolt-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-disiqueira-gotree-dev,
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-units-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-godbus-dbus-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-jinzhu-copier-dev,
         golang-github-json-iterator-go-dev,
         golang-github-onsi-ginkgo-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
         golang-github-opencontainers-runc-dev (>> 1.0.1~~),
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-selinux-dev (>> 1.8.0),
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-sftp-dev,
         golang-github-pmezard-go-difflib-dev,
         golang-github-seccomp-libseccomp-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vishvananda-netlink-dev,
         golang-gocapability-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-term-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: Common files for github.com/containers repositories (library)
 This package contains shared common files and common go code
 to manage those files in github.com/containers repos.

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr
 
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="pkg/cgroupv2 pkg/config libimage pkg/secrets/passdriver" \
+	DH_GOLANG_EXCLUDES="pkg/auth pkg/ssh pkg/cgroupv2 pkg/machine pkg/config pkg/cgroups libimage pkg/secrets/passdriver libnetwork/cni libnetwork/netavark" \
 	dh_auto_test

## golang-github-containers-common 0.55.4+ds1

=== debian/changelog ===
golang-github-containers-common (0.55.4+ds1-3) unstable; urgency=medium

  * Cleanup generated docs, Closes: #1044572

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 12:29:05 -0400

golang-github-containers-common (0.55.4+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 10:51:31 -0400

golang-github-containers-common (0.55.4+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Sep 2023 18:03:23 -0400

golang-github-containers-common (0.52.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 16:28:53 -0400

golang-github-containers-common (0.52.0+ds1-1) experimental; urgency=medium

  * New upstream relesae

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 11:38:00 -0400

golang-github-containers-common (0.51.0+ds1-1) experimental; urgency=medium

  [ Shengjing Zhu ]
  * Fix uscan watch file

  [ Reinhard Tartler ]
  * Bump to v0.51.0
  * refresh patches
  * Add distro patch to avoid sigstore dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Feb 2023 11:29:46 -0500

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                go-md2man,
                golang-github-appc-cni-dev (>> 1.0~~),
                golang-github-burntsushi-toml-dev,
+               golang-github-container-orchestrated-devices-container-device-interface-dev,
                golang-github-containerd-containerd-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.23~~),
+               golang-github-containers-image-dev (>> 5.26~~),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.43~~),
+               golang-github-containers-storage-dev (>> 1.48~~),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -74,11 +75,12 @@
 Multi-Arch: foreign
 Depends: golang-github-appc-cni-dev (>> 1.0~~),
          golang-github-burntsushi-toml-dev,
+         golang-github-container-orchestrated-devices-container-device-interface-dev,
          golang-github-containerd-containerd-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.23~~),
+         golang-github-containers-image-dev (>> 5.26~~),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.43~~),
+         golang-github-containers-storage-dev (>> 1.48~~),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-common 0.56.0%2Bds1

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,13 @@
 	GOARCH=386 $(GO_BUILD) -tags $(BUILDTAGS) ./...
 endif
 
+.PHONY: bin/netavark-testplugin
+bin/netavark-testplugin:
+	$(GO_BUILD) -o $@ ./libnetwork/netavark/testplugin/
+
+.PHONY: netavark-testplugin
+netavark-testplugin: bin/netavark-testplugin
+
 .PHONY: docs
 docs:
 	$(MAKE) -C docs
@@ -65,14 +72,14 @@
 
 .PHONY: vendor
 vendor:
-	$(GO) mod tidy -compat=1.17
+	$(GO) mod tidy
 	$(GO) mod vendor
 	$(GO) mod verify
 
 .PHONY: install.tools
 install.tools: build/golangci-lint .install.md2man
 
-build/golangci-lint: VERSION=v1.45.2
+build/golangci-lint: VERSION=v1.53.3
 build/golangci-lint:
 	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)
 
@@ -90,7 +97,7 @@
 test: test-unit
 
 .PHONY: test-unit
-test-unit:
+test-unit: netavark-testplugin
 	go test --tags $(BUILDTAGS) -v ./libimage
 	go test --tags $(BUILDTAGS) -v ./libnetwork/...
 	go test --tags $(BUILDTAGS) -v ./pkg/...
@@ -98,7 +105,7 @@
 
 .PHONY: codespell
 codespell:
-	codespell -w
+	codespell -L ro,hastable,shouldnot -w
 
 clean: ## Clean artifacts
 	$(MAKE) -C docs clean
